Skip to content

Update a loan

Request

Update loan fields. Money is in whole cents (centsAmount: 50000000 is $500,000.00) and rates in basis points (bpsFixedRate: 525 is 5.25%). Only allowlisted fields can be updated — server-managed fields like status and stage are excluded.

Security
ApiKeyAuth
Path
idstringrequired
Bodyapplication/jsonrequired
centsAmountinteger, ( 0 .. 9007199254740991 ]
bpsFixedRateinteger, [ 0 .. 9007199254740991 ]
bpsSpreadRateinteger, [ 0 .. 9007199254740991 ]
bpsPrimeRateinteger, [ 0 .. 9007199254740991 ]
rateTypestring
Enum:"fixed""variable"
monthsTerminteger, ( 0 .. 9007199254740991 ]
monthsInterestOnlyinteger, [ 0 .. 9007199254740991 ]
paymentFrequencystring
Enum:"weekly""biweekly""monthly""quarterly""semi-annual""annual""lump sum""irregular payments"
purposestring
purposeNarrativestring
typestring
Enum:"business""personal"
loanNumberstring
productIdstring
applicationDatestring^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[...
closeDatestring^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[...
firstPaymentDatestring^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[...
curl -i -X PATCH \
  'https://api.pioneerft.com/api/public/v1/loans/{id}' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "centsAmount": 1,
    "bpsFixedRate": 0,
    "bpsSpreadRate": 0,
    "bpsPrimeRate": 0,
    "rateType": "fixed",
    "monthsTerm": 1,
    "monthsInterestOnly": 0,
    "paymentFrequency": "weekly",
    "purpose": "string",
    "purposeNarrative": "string",
    "type": "business",
    "loanNumber": "string",
    "productId": "string",
    "applicationDate": "string",
    "closeDate": "string",
    "firstPaymentDate": "string"
  }'

Responses

Loan updated successfully

Bodyapplication/json
dataobject(PublicLoan)
Response
{ "data": { "id": "string", "loanNumber": "string", "status": "string", "type": "business", "centsAmount": -9007199254740991, "centsMonthlyPayment": -9007199254740991, "monthsTerm": -9007199254740991, "monthsInterestOnly": -9007199254740991, "paymentFrequency": "weekly", "rateType": "fixed", "bpsRate": -9007199254740991, "purpose": "string", "purposeNarrative": "string", "applicationDate": "string", "closeDate": "string", "maturityDate": "string", "firstPaymentDate": "string", "product": { "id": "string", "name": "string" }, "stage": { "id": "string", "name": "string" }, "createdAt": "string", "updatedAt": "string" } }